<?php

namespace Modules\SystemCore\App\Enums;

enum CustomerType: string
{
    case B2B = 'b2b';
    case B2C = 'b2c';
    case Lead = 'lead';
    case Prospect = 'prospect';
    case Distributor = 'distributor';
    case Retailer = 'retailer';
    case Wholesaler = 'wholesaler';

    public function label(): string
    {
        return match ($this) {
            self::B2B => __('Business to Business'),
            self::B2C => __('Business to Consumer'),
            self::Lead => __('Lead'),
            self::Prospect => __('Prospect'),
            self::Distributor => __('Distributor'),
            self::Retailer => __('Retailer'),
            self::Wholesaler => __('Wholesaler'),
        };
    }
}
